package cn.com.qmth.examcloud.core.questions.service.cache;

import java.util.List;
import java.util.Map;

import cn.com.qmth.examcloud.core.questions.base.enums.GenPaperType;
import cn.com.qmth.examcloud.core.questions.base.enums.PaperStructType;


public class PaperStructCache {
	
	private String id;

    private String name;// 试卷结构名称

    private Double totalScore;// 总分

    private Integer detailCount;// 大题数量

    private Integer detailUnitCount;//小题数量

    @SuppressWarnings("rawtypes")
    private Map params;

    private List<PaperDetailStructCache> paperDetailStructs;// 大题

    private String creator;// 创建人id

    private String createTime;// 创建时间

    private String orgId;// 机构ID

    private Long courseId;
    
    private String courseNo;

    private String courseName;

    /**
     * 试卷结构类型  ：  精确组卷    蓝图组卷
     */
    private PaperStructType paperStrucType;

    private String type;

    /**
     * 组卷类型     ： 精细组卷      宏观组卷
     */
    private GenPaperType genPaperType;

    private String coursePropertyId; //课程属性id

    private Double difficulty; //难度

    private String examRemark;//考试说明

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public Double getTotalScore() {
        return totalScore;
    }

    public void setTotalScore(Double totalScore) {
        this.totalScore = totalScore;
    }

    public Integer getDetailCount() {
        return detailCount;
    }

    public void setDetailCount(Integer detailCount) {
        this.detailCount = detailCount;
    }

    @SuppressWarnings("rawtypes")
    public Map getParams() {
        return params;
    }

    @SuppressWarnings("rawtypes")
    public void setParams(Map params) {
        this.params = params;
    }


    public String getCreator() {
        return creator;
    }

    public void setCreator(String creator) {
        this.creator = creator;
    }

    public String getCreateTime() {
        return createTime;
    }

    public void setCreateTime(String createTime) {
        this.createTime = createTime;
    }

    public PaperStructCache() {
    }

    public String getOrgId() {
        return orgId;
    }

    public void setOrgId(String orgId) {
        this.orgId = orgId;
    }

    public String getCourseNo() {
        return courseNo;
    }

    public void setCourseNo(String courseNo) {
        this.courseNo = courseNo;
    }

    public Integer getDetailUnitCount() {
        return detailUnitCount;
    }

    public void setDetailUnitCount(Integer detailUnitCount) {
        this.detailUnitCount = detailUnitCount;
    }

    public GenPaperType getGenPaperType() {
        return genPaperType;
    }

    public void setGenPaperType(GenPaperType genPaperType) {
        this.genPaperType = genPaperType;
    }

    public PaperStructType getPaperStrucType() {
        return paperStrucType;
    }

    public void setPaperStrucType(PaperStructType paperStrucType) {
        this.paperStrucType = paperStrucType;
    }

    public String getType() {
        return type;
    }

    public void setType(String type) {
        this.type = type;
    }

    public String getCoursePropertyId() {
        return coursePropertyId;
    }

    public void setCoursePropertyId(String coursePropertyId) {
        this.coursePropertyId = coursePropertyId;
    }

    public Double getDifficulty() {
        return difficulty;
    }

    public void setDifficulty(Double difficulty) {
        this.difficulty = difficulty;
    }

    public String getExamRemark() {
        return examRemark;
    }

    public void setExamRemark(String examRemark) {
        this.examRemark = examRemark;
    }

    public String getCourseName() {
        return courseName;
    }

    public void setCourseName(String courseName) {
        this.courseName = courseName;
    }

	public Long getCourseId() {
		return courseId;
	}

	public void setCourseId(Long courseId) {
		this.courseId = courseId;
	}

	public String getId() {
		return id;
	}

	public void setId(String id) {
		this.id = id;
	}

	public List<PaperDetailStructCache> getPaperDetailStructs() {
		return paperDetailStructs;
	}

	public void setPaperDetailStructs(List<PaperDetailStructCache> paperDetailStructs) {
		this.paperDetailStructs = paperDetailStructs;
	}

    
}
